Fit into resin printer volume, make holes larger because resin doesn't melt
This commit is contained in:
parent
e4a011f5bd
commit
895e24575e
File diff suppressed because it is too large
Load Diff
File diff suppressed because it is too large
Load Diff
@ -10,6 +10,8 @@ from modelo import (
|
|||||||
ti_radius,
|
ti_radius,
|
||||||
)
|
)
|
||||||
|
|
||||||
|
ti_radius = 2.5
|
||||||
|
|
||||||
# Size of the whole object
|
# Size of the whole object
|
||||||
width = kbd_width + 2 * shell_t
|
width = kbd_width + 2 * shell_t
|
||||||
height = 59
|
height = 59
|
||||||
@ -108,10 +110,12 @@ def model():
|
|||||||
|
|
||||||
exporters.export(model(), "screen_mount.stl")
|
exporters.export(model(), "screen_mount.stl")
|
||||||
|
|
||||||
|
split_offset = -133
|
||||||
|
|
||||||
right_side = (
|
right_side = (
|
||||||
model()
|
model()
|
||||||
.faces(">X")
|
.faces(">X")
|
||||||
.workplane(centerOption="CenterOfBoundBox", offset=-width / 2)
|
.workplane(centerOption="CenterOfBoundBox", offset=split_offset)
|
||||||
.center(0, height / 2)
|
.center(0, height / 2)
|
||||||
.split(keepTop=True)
|
.split(keepTop=True)
|
||||||
)
|
)
|
||||||
@ -121,7 +125,7 @@ exporters.export(right_side, "right_screen_mount.stl")
|
|||||||
left_side = (
|
left_side = (
|
||||||
model()
|
model()
|
||||||
.faces(">X")
|
.faces(">X")
|
||||||
.workplane(centerOption="CenterOfBoundBox", offset=-width / 2)
|
.workplane(centerOption="CenterOfBoundBox", offset=split_offset)
|
||||||
.center(0, height / 2)
|
.center(0, height / 2)
|
||||||
.split(keepBottom=True)
|
.split(keepBottom=True)
|
||||||
)
|
)
|
||||||
|
File diff suppressed because it is too large
Load Diff
Loading…
x
Reference in New Issue
Block a user